Name:           ldm
Version:        2.1
Release:        %mkrel 1
Summary:        LTSP Display Manager

Group:          System/X11
License:        GPLv2+
URL:            https://code.launchpad.net/~ltsp-upstream/ltsp/ldm-trunk
Source0:        http://ftp.de.debian.org/debian/pool/main/l/ldm/%{name}_%{version}.orig.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  gtk2-devel
BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  iso-codes

Requires:       netcat-traditional
Requires:       openssh-clients

%description
LTSP Display Manager handles network logins for remote desktop sessions.

%package -n ldminfod
Summary:        LTSP client
Group:          System/X11
Requires:       openssh-server

%description -n ldminfod
Provides Linux Terminal Server capabilities to the LDM client.

%prep
%setup -q


%build
%configure
%make


%install
rm -rf $RPM_BUILD_ROOT
%make DESTDIR=%{buildroot} install
#cd $RPM_BUILD_ROOT/%{_datadir}/ldm/themes
#    tar xfvj %SOURCE1
#    mv k12linux-theme-%{theme_version} k12linux
#    ln -s k12linux default
#cd -

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/ldm/

%find_lang ldm
%find_lang ldmrc 
%find_lang ltsp-cluster-info 
cat ltsp-cluster-info.lang ldmrc.lang >> ldm.lang

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/
install -m 0755 ldminfod/ldminfod $RPM_BUILD_ROOT%{_sbindir}/ldminfod
install -m 0644 ldminfod/xinetd.d/ldminfod $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/ldminfod

rm -rf $RPM_BUILD_ROOT%{_datadir}/ldm/themes/ltsp

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ltsp
cat > $RPM_BUILD_ROOT%{_sysconfdir}/ltsp/ldm-global-dmrc <<EOL
[Desktop]
#Session=gnome
#Session=kde
#Session=xfce4
#Session=sugar
#Language=ja_JP.utf8
#Language=en_US.utf8
EOL
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/ltsp/ldm-global-dmrc

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ldm.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/ldm-dialog
%{_sbindir}/ldm
%{_libexecdir}/ldm/
%{_datadir}/ldm/
%{_mandir}/man1/ldm.1.lzma
%{_datadir}/ltsp/screen.d/ldm
%dir %{_localstatedir}/run/ldm/

%files -n ldminfod
%{_sbindir}/ldminfod
%config(noreplace) %{_sysconfdir}/xinetd.d/ldminfod
%config(noreplace) %{_sysconfdir}/ltsp/ldm-global-dmrc


%changelog
* Fri Feb 19 2010 Frederik Himpe <fhimpe@mandriva.org> 2.1-1mdv2010.1
+ Revision: 508528
- update to new version 2.1

* Tue Dec 15 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.52-1mdv2010.1
+ Revision: 479126
- Update to new version 2.0.52
- Fix packaging of translations

* Sat Aug 22 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.44-1mdv2010.0
+ Revision: 419593
- update to new version 2.0.44

* Sun Jul 19 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.42-1mdv2010.0
+ Revision: 397932
- Update to new version 2.0.42

* Tue May 19 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.40-1mdv2010.0
+ Revision: 377742
- Update to new version 2.0.40

* Mon Mar 09 2009 Frederic Crozat <fcrozat@mandriva.com> 2.0.38-2mdv2009.1
+ Revision: 353112
- replace dependency on nc with one on netcat-traditional

* Sun Mar 08 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.38-1mdv2009.1
+ Revision: 353019
- Update to new version 2.0.38

* Thu Feb 26 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.37-1mdv2009.1
+ Revision: 345318
- Update to new version 2.0.37 (tarball taken from Debian)

* Wed Feb 11 2009 Jérôme Soyer <saispo@mandriva.org> 2.0.33-1mdv2009.1
+ Revision: 339424
- Add BR
- New upstream release

* Thu Jan 22 2009 Jérôme Soyer <saispo@mandriva.org> 2.0.30-1mdv2009.1
+ Revision: 332461
- New upstream release

* Tue Jan 20 2009 Jérôme Soyer <saispo@mandriva.org> 2.0.29-1mdv2009.1
+ Revision: 331583
- New upstream release

* Thu Jan 15 2009 Jérôme Soyer <saispo@mandriva.org> 2.0.27-1mdv2009.1
+ Revision: 329850
- Fix RPM Group
- Fix RPM Group
- import ldm


